# -*- coding: utf-8 -*-
from django.conf import settings


def make_for_current_site_type(instance):
    if getattr(settings, 'IS_INTERNAL_SITE'):
        instance.is_published_internal = True
    else:
        instance.is_published_external = True
    instance.save()


def make_not_for_current_site_type(instance):
    if getattr(settings, 'IS_INTERNAL_SITE'):
        instance.is_published_internal = False
    else:
        instance.is_published_external = False
    instance.save()
